MetaBase (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.win32
Class MetaBase

    java.lang.Object
      org.hyperic.sigar.win32.Win32
          org.hyperic.sigar.win32.MetaBase

    public class MetaBase

extends Win32

Field Summary
`static int` | `MD_CONNECTION_TIMEOUT`
`static int` | `MD_DOWNLEVEL_ADMIN_INSTANCE`
`static int` | `MD_IISADMIN_EXTENSIONS`
`static int` | `MD_LEVELS_TO_SCAN`
`static int` | `MD_LOGFILEDIRECTORY`
`static int` | `MD_MAX_CONNECTIONS`
`static int` | `MD_MAX_ENDPOINT_CONNECTIONS`
`static int` | `MD_SECURE_BINDINGS`
`static int` | `MD_SERVER_AUTOSTART`
`static int` | `MD_SERVER_BINDINGS`
`static int` | `MD_SERVER_COMMAND`
`static int` | `MD_SERVER_COMMENT`
`static int` | `MD_SERVER_CONFIGURATION_INFO`
`static int` | `MD_SERVER_LISTEN_BACKLOG`
`static int` | `MD_SERVER_LISTEN_TIMEOUT`
`static int` | `MD_SERVER_SIZE`
`static int` | `MD_SERVER_STATE`

Fields inherited from class org.hyperic.sigar.win32.Win32
`EXE_EXT`

Constructor Summary
`MetaBase()`

Method Summary
`void` | `close()`
`int` | `getIntValue(int datakey)`
`int` | `getIntValue(int datakey, int defaultValue)`
`java.lang.String[]` | `getMultiStringValue(int datakey)`
`java.lang.String` | `getStringValue(int datakey)`
`java.lang.String` | `getStringValue(int datakey, java.lang.String defaultValue)`
`java.lang.String[]` | `getSubKeyNames()`
`static void` | `main(java.lang.String[] args)`
`void` | `OpenSubKey(java.lang.String subkey)`

Methods inherited from class org.hyperic.sigar.win32.Win32
`findExecutable, findScriptExecutable, getFileVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MD_SERVER_COMMAND

    public static int MD_SERVER_COMMAND

### MD_CONNECTION_TIMEOUT

    public static int MD_CONNECTION_TIMEOUT

### MD_MAX_CONNECTIONS

    public static int MD_MAX_CONNECTIONS

### MD_SERVER_COMMENT

    public static int MD_SERVER_COMMENT

### MD_SERVER_STATE

    public static int MD_SERVER_STATE

### MD_SERVER_AUTOSTART

    public static int MD_SERVER_AUTOSTART

### MD_SERVER_SIZE

    public static int MD_SERVER_SIZE

### MD_SERVER_LISTEN_BACKLOG

    public static int MD_SERVER_LISTEN_BACKLOG

### MD_SERVER_LISTEN_TIMEOUT

    public static int MD_SERVER_LISTEN_TIMEOUT

### MD_DOWNLEVEL_ADMIN_INSTANCE

    public static int MD_DOWNLEVEL_ADMIN_INSTANCE

### MD_LEVELS_TO_SCAN

    public static int MD_LEVELS_TO_SCAN

### MD_SERVER_BINDINGS

    public static int MD_SERVER_BINDINGS

### MD_MAX_ENDPOINT_CONNECTIONS

    public static int MD_MAX_ENDPOINT_CONNECTIONS

### MD_SERVER_CONFIGURATION_INFO

    public static int MD_SERVER_CONFIGURATION_INFO

### MD_IISADMIN_EXTENSIONS

    public static int MD_IISADMIN_EXTENSIONS

### MD_LOGFILEDIRECTORY

    public static int MD_LOGFILEDIRECTORY

### MD_SECURE_BINDINGS

    public static int MD_SECURE_BINDINGS

Constructor Detail

### MetaBase

    public MetaBase()

Method Detail

### close

    public void close()

### OpenSubKey

    public void OpenSubKey(java.lang.String subkey)

### getIntValue

    public int getIntValue(int datakey)
                    throws Win32Exception

  Throws:
    `Win32Exception`

### getIntValue

    public int getIntValue(int datakey,
                           int defaultValue)

### getStringValue

    public java.lang.String getStringValue(int datakey)
                                    throws Win32Exception

  Throws:
    `Win32Exception`

### getStringValue

    public java.lang.String getStringValue(int datakey,
                                           java.lang.String defaultValue)

### getMultiStringValue

    public java.lang.String[] getMultiStringValue(int datakey)
                                           throws Win32Exception

  Throws:
    `Win32Exception`

### getSubKeyNames

    public java.lang.String[] getSubKeyNames()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.